Package: batik / 1.10-2+deb10u1

Metadata

Package Version Patches format
batik 1.10-2+deb10u1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
06_fix_paths_in_policy_files.patch | (download)

batik-svgbrowser/src/main/resources/org/apache/batik/apps/svgbrowser/resources/svgbrowser.policy | 10 5 + 5 - 0 !
batik-svgrasterizer/src/main/resources/org/apache/batik/apps/rasterizer/resources/rasterizer.policy | 12 6 + 6 - 0 !
2 files changed, 11 insertions(+), 11 deletions(-)

 06_fix_paths_in_policy_files


no Jython support.patch | (download)

batik-script/src/main/java/org/apache/batik/script/jpython/JPythonInterpreter.java | 105 0 + 105 - 0 !
batik-script/src/main/java/org/apache/batik/script/jpython/JPythonInterpreterFactory.java | 4 2 + 2 - 0 !
2 files changed, 2 insertions(+), 107 deletions(-)

 no jython support

Jython is optional at runtime but required at build time. Disable it because we
don't want to support it.

Bug-Debian: https://bugs.debian.org/884536

09_java11_compatibility.patch | (download)

batik-swing/src/main/java/org/apache/batik/swing/gvt/JGVTComponent.java | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 fixes the compatibility with java 11
CVE 2019 17566.patch | (download)

batik-svgrasterizer/src/main/java/org/apache/batik/apps/rasterizer/Main.java | 17 17 + 0 - 0 !
batik-svgrasterizer/src/main/java/org/apache/batik/apps/rasterizer/SVGConverter.java | 6 6 + 0 - 0 !
batik-transcoder/src/main/java/org/apache/batik/transcoder/SVGAbstractTranscoder.java | 19 19 + 0 - 0 !
3 files changed, 42 insertions(+)

---